package custom.webcenter.spaces;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import oracle.adf.share.logging.ADFLogger;

import oracle.webcenter.peopleconnections.profile.ProfileException;
import oracle.webcenter.peopleconnections.profile.ProfileFactory;
import oracle.webcenter.peopleconnections.profile.WCUserProfile;
import oracle.webcenter.peopleconnections.profile.WCUserProfileWrapper;
import oracle.webcenter.peopleconnections.profile.internal.model.PrivacyCheckingProfileWrapper;

/**
 * Override source for existing attributes in the 
 * out of the box profile object here. 
 */
public class CustomProfileImpl
  extends WCUserProfileWrapper
{

  private WCUserProfile _profile = null;
  private static ADFLogger LOGGER =
    ADFLogger.createADFLogger("custom.webcenter.spaces");

  public CustomProfileImpl(WCUserProfile wcUserProfile)
  {
    super(wcUserProfile);
    _profile = wcUserProfile;
  }


 /**
  * Override the department
  */
  @Override
  public String getDepartment()
    throws ProfileException
  {
    return "Sales Department";
  }

 /**
  * Override the photo
  */
  @Override
  public byte[] getOriginalPhoto()
  {
    byte[] photo = null;
    try
    {
      String profileUserName = _profile.getUserName();
      InputStream in =
        Thread.currentThread().getContextClassLoader().getResourceAsStream("custom/oracle/webcenter/peopleconnections/profile/images/user/" +
                                                                           profileUserName +".png");

      if (in != null)
      {
        ByteArrayOutputStream out = new ByteArrayOutputStream();
        for (; ; )
        {
          int c = in.read();
          if (c < 0)
            break;
          out.write(c);
        }
        photo = out.toByteArray();
      }
    }
    catch (IOException ex)
    {
      ex.printStackTrace();
    }
    catch (ProfileException e)
    {
      e.printStackTrace();
    }
    return photo;
  }
}
