package custom.webcenter.spaces;

import oracle.adf.share.logging.ADFLogger;

/**
 * This is a sample class for profile extension
 * Add getter (and setter if you need to save)
 * for any new custom attribute.
 * New attriutes defined here can be acessed
 * via EL  like
 *    #{wcProfileCustomAttribute['smith'].sip}
 * in the jspx/jsff.
 */
public class ExtendedProfileAttributes
{
  private String mSIP = null; 
  private String mProject = null; 
  public ExtendedProfileAttributes(String profileID)
  {
    // Query from custom attribute source and cache them
    mProject =  profileID + "'s Project";
    mSIP =  profileID + "'s SIP address";
  }

  public String getSip()
  {
    return mSIP;
  }

  public String getProject()
  {
    return mProject;
  }

  public void setSip(String sip)
  {
    // save new value to custom source
    mSIP = sip;
  }

  public void setProject(String project)
  {
    // save new value to custom source
    mProject = project;
  }

  private static String CLASS_NAME
    = ExtendedProfileAttributes.class.getName();
}
