package custom.webcenter.spaces.profile;


import custom.webcenter.spaces.ExtendedProfileAttributes;

import java.beans.FeatureDescriptor;

import java.util.Iterator;

import javax.el.ELContext;
import javax.el.ELResolver;

import oracle.adf.share.logging.ADFLogger;


/**
 * For resolving
 * #{wcProfileCustomAttribute['smith'].sip}
 * #{wcProfileCustomAttribute['smith'].project}
 * and any atribute supported by custom.webcenter.spaces.ExtendedProfileAttributes.
 */
public class ProfileExtensionsELResolver
  extends ELResolver
{
  private static final String _CUSTOM_PROFILE_ATTRIBUTE_PROPERTY_NAME =
    "wcProfileCustomAttribute";
  private static final CustomProfileResolver _CUSTOM_PROFILE_RESOLVER =
    new CustomProfileResolver();


  public Object getValue(ELContext eLContext, Object base, Object property)
  {
    Object exprValue = null;
    if (base == null && property != null)
    {
      if (_CUSTOM_PROFILE_ATTRIBUTE_PROPERTY_NAME.equals(property))
      {
        eLContext.setPropertyResolved(true);
        exprValue = _CUSTOM_PROFILE_RESOLVER;
      }
    }
    else if (base instanceof CustomProfileResolver)
    {
      eLContext.setPropertyResolved(true);
      String username = (String) property;
      exprValue = new ExtendedProfileAttributes(username);
    }
    return exprValue;
  }


  public Class<?> getType(ELContext eLContext, Object base,
                          Object property)
  {
    Class<?> exprType = null;
    if (base == null && property != null)
    {
      if (_CUSTOM_PROFILE_ATTRIBUTE_PROPERTY_NAME.equals(property))
        exprType = CustomProfileResolver.class;
    }
    else if (base instanceof CustomProfileResolver)
    {
      exprType = ExtendedProfileAttributes.class;
    }
    return exprType;
  }



  public void setValue(ELContext eLContext, Object base, Object property,
                       Object value)
  {
    boolean writable = true;
    if (base == null && property != null)
    {
      if (_CUSTOM_PROFILE_ATTRIBUTE_PROPERTY_NAME.equals(property))
        writable = false;
    }
    else if (base instanceof CustomProfileResolver)
    {
      writable = false;
    }
    if (!writable)
      throw new RuntimeException("EL Property has no Setter");
  }




  public boolean isReadOnly(ELContext eLContext, Object base,
                            Object property)
  {
    boolean exprReadOnly = false;
    if (base == null && property != null)
    {
      if (_CUSTOM_PROFILE_ATTRIBUTE_PROPERTY_NAME.equals(property))
        exprReadOnly = true;
    }
    else if (base instanceof CustomProfileResolver)
    {
      exprReadOnly = false;
    }
    return exprReadOnly;
  }


  public Iterator<FeatureDescriptor> getFeatureDescriptors(ELContext eLContext,
                                                           Object object)
  {
    return null;
  }

  public Class<?> getCommonPropertyType(ELContext eLContext, Object object)
  {
    return null;
  }


  public static class CustomProfileResolver
  {
    private CustomProfileResolver()
    {
    }
  }

  private static String CLASS_NAME
    = ProfileExtensionsELResolver.class.getName();
  private static ADFLogger LOGGER =
    ADFLogger.createADFLogger("custom.webcenter.spaces");

}
