package custom.webcenter.spaces;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import java.util.HashMap;
import java.util.Map;

import oracle.adf.share.logging.ADFLogger;

import oracle.webcenter.peopleconnections.profile.ProfileException;

public class CustomProfileDataSource
{

  private static String CLASS_NAME
    = CustomProfileDataSource.class.getName();
  private static ADFLogger LOGGER =
    ADFLogger.createADFLogger("custom.webcenter.spaces");
  private String mUserName = null; 
  public CustomProfileDataSource(String userName)
  {
    LOGGER.fine(userName);
    mUserName = userName; 
  }
  
  public String getUserName()
  {
    return mUserName;
  }
  
  public String getDepartment()
    throws ProfileException
  {
    return mUserName + "'s Department";
  }

  public byte[] getOriginalPhoto()
    throws IOException
  {
    byte[] photo = null;
      String profileUserName = mUserName;
      InputStream in =
        Thread.currentThread().getContextClassLoader().getResourceAsStream("custom/oracle/webcenter/peopleconnections/profile/images/user/" +
                                                                           profileUserName +".png");
      
      if (in != null)
      {
        ByteArrayOutputStream out = new ByteArrayOutputStream();
        for (; ; )
        {
          int c = in.read();
          if (c < 0)
            break;
          out.write(c);
        }
        photo = out.toByteArray();
      }
    return photo;
  }


  public String getSip()
  {
    return mUserName + "'s SIP address";     
  }

  public String getProject()
  {
    return mUserName + "'s Project";  
  }

  public void setSip(String sip)
  {
    // save new value to custom source
  }

  public void setProject(String project)
  {
    // save new value to custom source
  }

  /*
    This is a sample created to return custom profile attributes.
    In this sample data is returned only for one user. 
    Ideally this can be changed to take a list of userID's and can return 
    the custom attributes for all the passed in users by querying the 
    custom source of profile data. 
    In this example SIPAddress and Project are the custom attributes.
  */
  public static Map<String, Map<String, String>> getCustomAttributesMap() 
  {

    return new HashMap<String, Map<String, String>>()
    {
    {
      put("weblogic", new HashMap<String, String>()
        {
          {
            put("SIPAddress", "weblogic's SIP address");
            put("Project", "weblogic's  project");
          }
        });
    }
    };
  }
  

  
}
