package custom.webcenter.spaces.view;

import oracle.adf.share.ADFContext;
import oracle.adf.share.logging.ADFLogger;

import oracle.webcenter.peopleconnections.profile.ProfileFactory;
import oracle.webcenter.peopleconnections.profile.WCUserProfile;

public class UserSkinBean
{
  public UserSkinBean()
  {
    super();
  }
  
  public String getSkinForCurrentUser ()
  {    
    String userOrganization = null;
    String userSkin = null;
    try
    {
      // get the current user name      
      String userName = null;      
      userName = ADFContext.getCurrent().getSecurityContext().getUserName();
      // get the profile object for current user
      WCUserProfile userProfile
        = ProfileFactory.getProfileManager().getProfile(userName);      
      // get current user's organization
      userOrganization = userProfile.getOrganization();
      
      // Decide what skin to use based on Organization
      if ("ADF".equalsIgnoreCase(userOrganization))
        userSkin = "olive";
      else if ("WebCenter".equalsIgnoreCase(userOrganization))
        userSkin = "monochrome";
      else
        userSkin = "bluesky";
    }
    catch (Exception e)
    {
      LOGGER.warning(e);
    }
    
    if (userSkin == null)
      userSkin = "bluesky";

    return userSkin;
  }

  private static ADFLogger LOGGER =
    ADFLogger.createADFLogger("custom.webcenter.spaces");
}
