<script language="javascript" type="text/javascript">

function hideLanguagePopup()
{
  document.getElementById('langList').style.visibility = 'hidden';
  return false;
}

function setLangCookie(langName, cookiePath)
{
  /* the same constant is also defined in LocaleUtils
     which is used when creating cookie using java server code.
     any change to the cookieName has to be kept in synch.
  */
  var cookieName = 'ORA_WEBCENTERAPP_USER_preferredLang';
  var today = new Date();
  var expire = new Date();
  expire.setTime(today.getTime() + 1000*60*60*24*365);
  var cookieStr = cookieName+"="+escape(langName)+
              "; expires="+expire.toGMTString() +
              "; path="+cookiePath;
  document.cookie = cookieStr;
  return false;
}


function showLangPopup()
{
  document.getElementById('langList').style.left = '400px';
  document.getElementById('langList').style.top = '150px';
  document.getElementById('langList').style.visibility = 'visible';
  return false;
}


function setLanguage(language){
  setLangCookie(language, '/webcenter');
  hideLanguagePopup();
  window.location.reload();
  return true;
}

</script>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<jsp:useBean id="wcPublicBean" scope="request"
             class="oracle.webcenter.webcenterapp.internal.view.backing.PublicPageBean"/>
<fmt:bundle basename="oracle.webcenter.webcenterapp.resource.WebCenterResourceBundle">
  <div id="langList"
       style="position: absolute; left: 0px; top: 0px; visibility:hidden;">
    <table dir="ltr"
           width="200" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td class="lefttop-popup">&nbsp;</td>
        <td width="100%" class="topmiddle-popup bold-about"
            dir="${wcPublicBean.localeRightToLeft? 'rtl': 'ltr'}">
          <table width="100%" border="0">
            <tr>
              <td class="bold-about"><fmt:message key="LABEL_CHOOSE_LANGUAGE"/><%--align="left"--%></td>
              <td align="right" width="16px">
                <a href="#" onclick="document.getElementById('langList').style.visibility = 'hidden';return false;">
                  <img src="adf/spaces/images/close_ena.png" 
                       name="close" alt="Close" border="0" width="16" height="16" />
                </a>
              </td>
            </tr>
          </table>
        </td>
        <td class="righttop-popup"></td>
      </tr>
      <tr>
        <td class="leftmiddle-popup"></td>
        <td width="180" class="boxcontent"
            dir="${wcPublicBean.localeRightToLeft? 'rtl': 'ltr'}">
          <table cellspacing="0" cellpadding="5" width="100%" summary="">
            <tbody>
              <tr>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('ar')"
                     title="<fmt:message key='LANG_HINT_AR'><fmt:param value='ar'/></fmt:message>">
                    <fmt:message key="LANG_HINT_AR">
                      <fmt:param value="ar"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('en')"
                     title="<fmt:message key='LANG_HINT_EN'><fmt:param value='en'/></fmt:message>">
                    <fmt:message key="LANG_HINT_EN">
                      <fmt:param value="en"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('it')"
                     title="<fmt:message key='LANG_HINT_IT'><fmt:param value='it'/></fmt:message>">
                    <fmt:message key="LANG_HINT_IT">
                      <fmt:param value="it"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('ru')"
                     title="<fmt:message key='LANG_HINT_RU'><fmt:param value='ru'/></fmt:message>">
                    <fmt:message key="LANG_HINT_RU">
                      <fmt:param value="ru"/>
                    </fmt:message>
                  </a>
              </td>
              </tr>
              <tr>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('pt-BR')"
                     title="<fmt:message key='LANG_HINT_PT-BR'><fmt:param value='pt-BR'/></fmt:message>">
                    <fmt:message key="LANG_HINT_PT-BR">
                      <fmt:param value="pt-BR"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('fi')"
                     title="<fmt:message key='LANG_HINT_FI'><fmt:param value='fi'/></fmt:message>">
                    <fmt:message key="LANG_HINT_FI">
                      <fmt:param value="fi"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('ja')"
                     title="<fmt:message key='LANG_HINT_JA'><fmt:param value='ja'/></fmt:message>">
                    <fmt:message key="LANG_HINT_JA">
                      <fmt:param value="ja"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('sk')"
                     title="<fmt:message key='LANG_HINT_SK'><fmt:param value='sk'/></fmt:message>">
                    <fmt:message key="LANG_HINT_SK">
                      <fmt:param value="sk"/>
                    </fmt:message>
                  </a>
                </td>
              </tr>
              <tr>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('zh-CN')"
                     title="<fmt:message key='LANG_HINT_ZH-CN'><fmt:param value='zh-CN'/></fmt:message>">
                    <fmt:message key="LANG_HINT_ZH-CN">
                      <fmt:param value="zh-CN"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('fr')"
                     title="<fmt:message key='LANG_HINT_FR'><fmt:param value='fr'/></fmt:message>">
                    <fmt:message key="LANG_HINT_FR">
                      <fmt:param value="fr"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('ko')"
                     title="<fmt:message key='LANG_HINT_KO'><fmt:param value='ko'/></fmt:message>">
                    <fmt:message key="LANG_HINT_KO">
                      <fmt:param value="ko"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('es')"
                     title="<fmt:message key='LANG_HINT_ES'><fmt:param value='es'/></fmt:message>">
                    <fmt:message key="LANG_HINT_ES">
                      <fmt:param value="es"/>
                    </fmt:message>
                  </a>
                </td>
              </tr>
              <tr>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('zh-TW')"
                     title="<fmt:message key='LANG_HINT_ZH-TW'><fmt:param value='zh-TW'/></fmt:message>">
                    <fmt:message key="LANG_HINT_ZH-TW">
                      <fmt:param value="zh-TW"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('de')"
                     title="<fmt:message key='LANG_HINT_DE'><fmt:param value='de'/></fmt:message>">
                    <fmt:message key="LANG_HINT_DE">
                      <fmt:param value="de"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('no')"
                     title="<fmt:message key='LANG_HINT_NO'><fmt:param value='no'/></fmt:message>">
                    <fmt:message key="LANG_HINT_NO">
                      <fmt:param value="no"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('sv')"
                     title="<fmt:message key='LANG_HINT_SV'><fmt:param value='sv'/></fmt:message>">
                    <fmt:message key="LANG_HINT_SV">
                      <fmt:param value="sv"/>
                    </fmt:message>
                  </a>
                </td>
              </tr>
              <tr>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('cs')"
                     title="<fmt:message key='LANG_HINT_CS'><fmt:param value='cs'/></fmt:message>">
                    <fmt:message key="LANG_HINT_CS">
                      <fmt:param value="cs"/>
                    </fmt:message>
                  </a>   
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('el')"
                     title="<fmt:message key='LANG_HINT_EL'><fmt:param value='el'/></fmt:message>">
                    <fmt:message key="LANG_HINT_EL">
                      <fmt:param value="el"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('pl')"
                     title="<fmt:message key='LANG_HINT_PL'><fmt:param value='pl'/></fmt:message>">
                    <fmt:message key="LANG_HINT_PL">
                      <fmt:param value="pl"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('th')"
                     title="<fmt:message key='LANG_HINT_TH'><fmt:param value='th'/></fmt:message>">
                    <fmt:message key="LANG_HINT_TH">
                      <fmt:param value="th"/>
                    </fmt:message>
                  </a>
                </td>
              </tr>
              <tr>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('da')"
                     title="<fmt:message key='LANG_HINT_DA'><fmt:param value='da'/></fmt:message>">
                    <fmt:message key="LANG_HINT_DA">
                      <fmt:param value="da"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('iw')"
                     title="<fmt:message key='LANG_HINT_IW'><fmt:param value='iw'/></fmt:message>">
                    <fmt:message key="LANG_HINT_IW">
                      <fmt:param value="iw"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('pt')"
                     title="<fmt:message key='LANG_HINT_PT'><fmt:param value='pt'/></fmt:message>">
                    <fmt:message key="LANG_HINT_PT">
                      <fmt:param value="pt"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('tr')"
                     title="<fmt:message key='LANG_HINT_TR'><fmt:param value='tr'/></fmt:message>">
                    <fmt:message key="LANG_HINT_TR">
                      <fmt:param value="tr"/>
                    </fmt:message>
                  </a>
                </td>
              </tr>
              <tr>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('nl')"
                     title="<fmt:message key='LANG_HINT_NL'><fmt:param value='nl'/></fmt:message>">
                    <fmt:message key="LANG_HINT_NL">
                      <fmt:param value="nl"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('hu')"
                     title="<fmt:message key='LANG_HINT_HU'><fmt:param value='hu'/></fmt:message>">
                    <fmt:message key="LANG_HINT_HU">
                      <fmt:param value="hu"/>
                    </fmt:message>
                  </a>
                </td>
                <td>
                  <a class="padding-right3 pagelink" 
                     href="#" onclick="setLanguage('ro')"
                     title="<fmt:message key='LANG_HINT_RO'><fmt:param value='ro'/></fmt:message>">
                    <fmt:message key="LANG_HINT_RO">
                      <fmt:param value="ro"/>
                    </fmt:message>
                  </a>
                </td>
                <td>&nbsp;</td>
              </tr>
            </tbody>
          </table>
        </td>
        <td class="rightmiddle-popup"></td>
      </tr>
      <tr>
        <td class="leftbottom-popup"></td>
        <td width="100%" height="12" class="bottommiddle-popup"></td>
        <td class="rightbottom-popup"></td>
      </tr>
    </table>
<!-- end footer -->
  </div>
</fmt:bundle>
