package tfcustompane;

import java.util.Map;

import javax.faces.component.UIComponent;

import oracle.adf.view.page.editor.context.ComposerContext;
import oracle.adf.view.page.editor.context.SelectionContext;
import oracle.adf.view.rich.component.customizable.ShowDetailFrame;
import oracle.adf.view.rich.component.rich.fragment.RichRegion;

public class CustPaneMBean
{
  public String getUiParam()
  {
    ComposerContext ctx = ComposerContext.getCurrentInstance();
    SelectionContext stx = ctx.getSelectionContext();
    UIComponent comp = stx.getSelectedComponent().getUIComponent();
    RichRegion region = null;

    if (comp instanceof ShowDetailFrame && comp.getChildCount() > 0)
    {
      UIComponent kid = comp.getChildren().get(0);
      region = kid instanceof RichRegion ? (RichRegion) kid : null;
    }

    if (region == null)
      return "";

    if (_allParams == null || 
        Boolean.TRUE.equals(region.getAttributes().get("tfparam__clear")))
    {
      region.getAttributes().put("tfparam__clear", false);
      _allParams = Util.getTaskFlowParameters(region);
    }

    _param = _allParams.get("parameter");

    if (_param == null)
      _param = "";

    _initValue = _param;

    return _param;
  }

  public void setUiParam(String value)
  {
    ComposerContext ctx = ComposerContext.getCurrentInstance();
    SelectionContext stx = ctx.getSelectionContext();
    UIComponent comp = stx.getSelectedComponent().getUIComponent();
    RichRegion region = null;

    if (comp instanceof ShowDetailFrame && comp.getChildCount() > 0)
    {
      UIComponent kid = comp.getChildren().get(0);
      region = kid instanceof RichRegion ? (RichRegion) kid : null;
    }

    if (region == null)
      return;

    _param = value;

    region.getAttributes().put("tfparam__parameter", _param);
  }

  public String getParameterValue()
  {
    return _param;
  }

  public boolean hasParameterChanged()
  {
    return !_param.equals(_initValue);
  }

  private Map <String, String> _allParams;
  private String _param;

  private String _initValue;
}

