package tfcustompane;

import java.util.Map;

import javax.faces.component.UIComponent;
import javax.faces.event.AbortProcessingException;

import oracle.adf.view.page.editor.context.ComposerContext;
import oracle.adf.view.page.editor.context.SelectionContext;
import oracle.adf.view.page.editor.event.SaveEvent;
import oracle.adf.view.page.editor.event.SaveListener;
import oracle.adf.view.page.editor.event.DialogEvent;
import oracle.adf.view.page.editor.event.DialogListener;
import oracle.adf.view.rich.component.customizable.ShowDetailFrame;
import oracle.adf.view.rich.component.rich.fragment.RichRegion;


public class EventListener
  implements SaveListener, DialogListener

{
  public void processSave(SaveEvent saveEvent)
    throws AbortProcessingException
  {
    RichRegion region = null;

    try
    {
      ComposerContext ctx = ComposerContext.getCurrentInstance();
      SelectionContext stx = ctx.getSelectionContext();
      UIComponent comp = stx.getSelectedComponent().getUIComponent();

      if (comp instanceof ShowDetailFrame && comp.getChildCount() > 0)
      {
        UIComponent kid = comp.getChildren().get(0);
        region = kid instanceof RichRegion? (RichRegion) kid: null;
      }

      if (region == null || 
          !region.getAttributes().containsKey("tfparam__parameter"))
        return;

      String paramValue =
        (String) region.getAttributes().get("tfparam__parameter");

      Util.setTaskFlowParameter(region, "parameter", paramValue);
      // Clear the UI backing Bean
      Map<String, Object> attributes = region.getAttributes();
      attributes.put("tfparam__clear", true);
    }
    catch (Exception e)
    {
      System.out.println("***Error saving the Task Flow parameter");
    }
    finally
    {
      if (region != null)
        region.getAttributes().remove("tfparam__parameter");
    }
  }

  public void processDialog(DialogEvent dialogEvent)
  {
    if (dialogEvent.getOutcome().equals(oracle.adf.view.rich.event.DialogEvent.Outcome.no))
    {
      ComposerContext ctx = ComposerContext.getCurrentInstance();
      SelectionContext stx = ctx.getSelectionContext();
      UIComponent comp = stx.getSelectedComponent().getUIComponent();
      RichRegion region = null;

      if (comp instanceof ShowDetailFrame && comp.getChildCount() > 0)
      {
        UIComponent kid = comp.getChildren().get(0);
        region = kid instanceof RichRegion? (RichRegion) kid: null;
      }

      if (region != null)
        region.getAttributes().remove("tfparam__parameter");
    }
  }
}
